Index: code/branches/FICN/visual_studio/audio.vcproj
===================================================================
--- code/branches/FICN/visual_studio/audio.vcproj	(revision 776)
+++ code/branches/FICN/visual_studio/audio.vcproj	(revision 777)
@@ -119,5 +119,5 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="libvorbisfile_d.lib alut_d.lib  OpenAL32.lib"
+				AdditionalDependencies="libvorbisfile.lib alut.lib  OpenAL32.lib"
 			/>
 			<Tool
@@ -156,4 +156,24 @@
 			>
 			<File
+				RelativePath="..\src\audio\_AudioObject.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\src\audio\AudioBuffer.cc"
 				>
Index: code/branches/FICN/visual_studio/benixonox.vcproj
===================================================================
--- code/branches/FICN/visual_studio/benixonox.vcproj	(revision 776)
+++ code/branches/FICN/visual_studio/benixonox.vcproj	(revision 777)
@@ -54,5 +54,5 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain_d.lib OIS_d.lib zlibd.lib enet_d.lib"
+				AdditionalDependencies="OgreMain_d.lib OIS_d.lib"
 				AdditionalLibraryDirectories=""
 				IgnoreDefaultLibraryNames="/NODEFAULTLIB:MSVCRT"
@@ -122,5 +122,5 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="OgreMain.lib OIS.lib zlib.lib enet.lib"
+				AdditionalDependencies="OgreMain.lib OIS.lib"
 				AdditionalLibraryDirectories=""
 				IgnoreDefaultLibraryNames="/NODEFAULTLIB:MSVCRT"
@@ -229,4 +229,24 @@
 				</File>
 				<File
+					RelativePath="..\src\orxonox\objects\SpaceshipSteeringObject.cc"
+					>
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+				</File>
+				<File
 					RelativePath="..\src\orxonox\objects\test1.cc"
 					>
@@ -375,4 +395,8 @@
 				</File>
 				<File
+					RelativePath="..\src\orxonox\objects\SpaceshipSteeringObject.h"
+					>
+				</File>
+				<File
 					RelativePath="..\src\orxonox\objects\Test.h"
 					>
Index: code/branches/FICN/visual_studio/network.vcproj
===================================================================
--- code/branches/FICN/visual_studio/network.vcproj	(revision 776)
+++ code/branches/FICN/visual_studio/network.vcproj	(revision 777)
@@ -18,5 +18,5 @@
 		<Configuration
 			Name="Debug|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets=".\base_properties_debug.vsprops"
 			CharacterSet="1"
@@ -40,5 +40,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="WIN32_LEAN_AND_MEAN"
+				PreprocessorDefinitions="NETWORK_SHARED_BUILD; WIN32_LEAN_AND_MEAN"
 			/>
 			<Tool
@@ -52,6 +52,7 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
-				AdditionalLibraryDirectories=""
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain_d.lib enet_d.lib zlibd.lib"
+				OutputFile="$(OutDir)\$(ProjectName)_d.dll"
 			/>
 			<Tool
@@ -59,4 +60,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -66,4 +70,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -73,5 +83,5 @@
 		<Configuration
 			Name="Release|Win32"
-			ConfigurationType="4"
+			ConfigurationType="2"
 			InheritedPropertySheets=".\base_properties_release.vsprops"
 			CharacterSet="1"
@@ -96,5 +106,5 @@
 				Name="VCCLCompilerTool"
 				AdditionalIncludeDirectories=""
-				PreprocessorDefinitions="WIN32_LEAN_AND_MEAN"
+				PreprocessorDefinitions="NETWORK_SHARED_BUILD; WIN32_LEAN_AND_MEAN"
 			/>
 			<Tool
@@ -108,6 +118,6 @@
 			/>
 			<Tool
-				Name="VCLibrarianTool"
-				AdditionalLibraryDirectories=""
+				Name="VCLinkerTool"
+				AdditionalDependencies="OgreMain.lib enet.lib zlib.lib"
 			/>
 			<Tool
@@ -115,4 +125,7 @@
 			/>
 			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
 				Name="VCXDCMakeTool"
 			/>
@@ -122,4 +135,10 @@
 			<Tool
 				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
 			/>
 			<Tool
@@ -153,4 +172,104 @@
 			</File>
 			<File
+				RelativePath="..\src\network\dummyclient.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\network\dummyclient2.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\network\dummyclient3.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\network\dummyserver.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\network\dummyserver3.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\src\network\GameStateClient.cc"
 				>
@@ -163,4 +282,24 @@
 				RelativePath="..\src\network\PacketBuffer.cc"
 				>
+			</File>
+			<File
+				RelativePath="..\src\network\PacketBufferTestExt.cc"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -215,4 +354,8 @@
 			</File>
 			<File
+				RelativePath="..\src\network\NetworkPrereqs.h"
+				>
+			</File>
+			<File
 				RelativePath="..\src\network\PacketBuffer.h"
 				>
